Skip to main content
GET
/
bank-linking
/
investments
/
transactions
Search financial account investment transactions
curl --request GET \
  --url https://api-sb.meld.io/bank-linking/investments/transactions \
  --header 'Authorization: <api-key>'
{
  "count": 123,
  "investmentTransactions": [
    {
      "accountId": "<string>",
      "amount": 123,
      "connectionIds": [
        "<string>"
      ],
      "costBasis": 123,
      "currency": "<string>",
      "customerId": "<string>",
      "description": "<string>",
      "externalCustomerId": "<string>",
      "financialAccountId": "<string>",
      "id": "<string>",
      "key": "<string>",
      "postedDate": "2023-11-07T05:31:56Z",
      "quantity": 123,
      "serviceProviderDetails": [
        {}
      ],
      "symbol": "<string>",
      "transactionDate": "2023-11-07T05:31:56Z"
    }
  ],
  "remaining": 123
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Query Parameters

customerId
string

Meld generated unique identifier for your customer. This should be used to track customer activity. Should not be provided in conjunction with externalCustomerId

externalCustomerId
string

Your unique identifier for your customer. If maintaining your own customer management system this can also be used for tracking customer activity. Should not be provided in conjunction with customerId

financialAccountId
string

Financial account id

statuses
enum<string>

Comma separated list of financial account investment transaction statuses

Available options:
PENDING,
POSTED
startDate
string<date>

Start date to begin search from of format yyyy-mm-dd

endDate
string<date>

End date stop search on of format yyyy-mm-dd

connectionId
string

Connection Id

before
string

Unique key corresponding to a investment transaction's position in the paginated list of results -- used to indicate that only investment transactions residing before this key will be retrieved.

Each investment transaction carries a unique key. Reference Pagination

The before and after fields cannot be used in the same request.

after
string

Unique key corresponding to a investment transaction's position in the paginated list of results -- used to indicate that only investment transactions residing after this key will be retrieved.

Each investment transaction carries a unique key. Reference Pagination

The before and after fields cannot be used in the same request.

limit
integer<int32>

Limits number of returned financial account investment transactions.

Default value: 100

Minimum value: 1

Maximum value: 1000

Response

Financial account investment transactions are returned

count
integer<int32>

Number of financial account investment transactions returned.

investmentTransactions
object[]

Financial account investment transactions

remaining
integer<int32>

Number of remaining financial account investment transactions before/after this page, depending on the direction this page was selected.